Last modified: 2013-10-29 05:09:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31950 - Update Malayalam fonts packages
Update Malayalam fonts packages
Status: REOPENED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n, ops, upstream
Depends on:
Blocks: 25140 56295 8898
  Show dependency treegraph
 
Reported: 2011-10-26 05:36 UTC by praveenp
Modified: 2013-10-29 05:09 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description praveenp 2011-10-26 05:36:34 UTC
Currently Most of the Malayalam fonts in Wikimedia server are based on unicode 5.0. It cause display clutters in Server rendered pages. As far as now, only unicode 6.0 compatible font available for Wikimedia sites' server side is Anjali, which has a buggy Linux implementation. Please update Malayalam fonts to unicode 6.0 compatible. Unicode moved from 5.0 since April 2008, so I hope it is okay to use even hacked fonts, if there are no "upstream fonts" available.
Comment 1 Roan Kattouw 2011-10-26 09:38:04 UTC
I don't quite understand this bug. When are server-side fonts ever used to render wiki pages? Wiki pages are just HTML, rendered using client-side fonts, right?
Comment 2 praveenp 2011-10-26 15:53:48 UTC
Like in rendering svg, easy time line, webfonts etc.. :)
Comment 3 Sam Reed (reedy) 2011-10-27 03:52:17 UTC
Are there debian packages for these fonts?
Comment 4 praveenp 2011-11-01 04:25:39 UTC
For no, there are no debian packages for hacked fonts (atleast to my knowledge :)). But all hacked fonts available in this archive https://github.com/junaidpv/Malayalam-Fonts/archives/master
Comment 5 Santhosh Thottingal 2011-11-08 04:12:27 UTC
(In reply to comment #2)
> Like in rendering svg, easy time line, webfonts etc.. :)

Webfonts does not use the fonts in server. The extension contains the fonts in various webfont formats(WOFF, SVG, EOT,TTF)
Comment 6 Mark A. Hershberger 2012-03-21 16:32:55 UTC
svg bit looks fixed (See Bug 25140), so closing this since the fonts are apparently there.
Comment 7 praveenp 2012-03-23 01:45:51 UTC
No, it is not. SVG issues not fixed. Reopening.
Comment 8 Mark A. Hershberger 2012-03-23 15:35:28 UTC
(In reply to comment #7)
> No, it is not. SVG issues not fixed. Reopening.

But this one will be fixed when that one is.

*** This bug has been marked as a duplicate of bug 25140 ***
Comment 9 praveenp 2012-03-24 08:34:37 UTC
Technicaly this is not a duplicate of bug 25140. After rsvg and rendering engine update, that bug completely depends on this bug (?). This bug may cause problems way outside svg to png rendering where pages contain server rendered elements (images in easytimeline, <math>(?), etc).
Comment 10 praveenp 2012-09-05 04:33:37 UTC
https://bugzilla.wikimedia.org/show_bug.cgi?id=25140#c24 I hope someone could clarify this.
Comment 11 Andre Klapper 2012-11-04 17:14:17 UTC
praveen:
Which Malayalam font is Unicode 6.0 compatible and has a working Linux implementation?
Comment 12 praveenp 2012-11-05 16:58:59 UTC
In my knowledge there is no font with full Unicode 6.0 compatibility available. 
 
There is an official deb pkg  for partially 5.1 compatible fonts (http://packages.debian.org/sid/fonts-smc) from upstream developers. But still those fonts have some errors and also I don't think they reached official Ubuntu repo. Please note that this package is happened to has a package rename (earlier the pkg name was something like ttf-indic-fonts-malayalam), I am not sure how this will affect the system. I hope Santhosh will explain.

But there are hacked fonts available (https://github.com/junaidpv/Malayalam-Fonts/downloads ; created by a fellow wikimedian [[:mw:User:Junaidpv]]) which are more up to date and error free. Among these fonts Rachana and Meera are best(gives most of the characters), and Raghu is the worst (Still has some old errors and has no newly defined code points)
Comment 13 Santhosh Thottingal 2012-11-05 17:19:26 UTC
(In reply to comment #12)
> In my knowledge there is no font with full Unicode 6.0 compatibility available. 
> 
> There is an official deb pkg  for partially 5.1 compatible fonts
> (http://packages.debian.org/sid/fonts-smc) from upstream developers.

They are partially unicode 6.0 compatible fonts. Glyphs used for archaic characters not added.

> But still
> those fonts have some errors 

I am also a maintainer of those font and we are not aware of any errors that affects usage.

> and also I don't think they reached official
> Ubuntu repo.

I had filed a package update bug https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345 but no response so far.

> Please note that this package is happened to has a package rename
> (earlier the pkg name was something like ttf-indic-fonts-malayalam), I am not
> sure how this will affect the system. I hope Santhosh will explain.

It won't affect anything.

I will try to contact some ubuntu developers to get this package update done soon.

Alternate solution is installing the fonts from upstream release( http://download.savannah.gnu.org/releases/smc/fonts/malayalam-fonts-5.0.1/ )
Comment 14 praveenp 2012-11-05 18:04:08 UTC
(In reply to comment #13)

> They are partially unicode 6.0 compatible fonts. Glyphs used for archaic
> characters not added.

Unicode 6.0 is a superset of Unicode 5.1 so I think you are technically correct, But I haven't seen any single character newly defined in 6.0 in those fonts. 

> I am also a maintainer of those font and we are not aware of any errors that
> affects usage.

No! I quickly remember this one: Those fonts use Malayalam symbol 1/4 (0D73) for Malayalam Zero. Malayalam numbers are not popular, but it is still in usage. For example, Malayalam wikimedia projects using Malayalam numbers for marking footnotes.

> I had filed a package update bug
> https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345 but no
> response so far.

May be because you people were totally defensive against updating fonts. :-)

https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/515607 
 
> Alternate solution is installing the fonts from upstream release(
> http://download.savannah.gnu.org/releases/smc/fonts/malayalam-fonts-5.0.1/)

I recommend updating fonts from Junaid's github source than this source. Just because better fonts are better fonts.
Comment 15 Nemo 2013-04-04 22:30:34 UTC
This is surely not a site request, but what is it exactly? Is it for UniversalLanguageSelector/WebFonts to get different fonts?
Comment 16 Santhosh Thottingal 2013-04-05 04:05:28 UTC
(In reply to comment #15)
> This is surely not a site request, but what is it exactly? 

This is to update the fonts in the servers, used for any kind of server side rendering. Debian has all latest fonts, while Ubuntu is very slow in updating their font packages.
Comment 17 Nemo 2013-04-05 06:52:51 UTC
Thanks. So apart from waiting what can be done here? Modify Wikimedia's Ubuntu repo to include Debian's version of those packages?
Comment 18 praveenp 2013-04-07 13:33:53 UTC
(In reply to comment #17)
> So apart from waiting what can be done here? Modify Wikimedia's
> Ubuntu
> repo to include Debian's version of those packages?

Debian version upstream package is also very old, and still has errors. If you are updating Wikimedia's repo, please update them using fonts from https://github.com/junaidpv/Malayalam-Fonts/downloads ([[comment 12]])
Comment 19 Andre Klapper 2013-07-26 08:39:56 UTC
https://fedoraproject.org/wiki/Features/IndicUnicode6 implies that the "lohit-malayalam-fonts" package supports Malayalam in Unicode 6 since Fedora 17.

https://apps.fedoraproject.org/packages/lohit-malayalam-fonts lists package version 2.5.1-2.fc17 for Fedora 17.

http://packages.ubuntu.com/source/quantal/fonts-lohit-mlym lists 
version 2.5.1-1 for Ubuntu 12.10. Note that Wikimedia servers run Ubuntu 12.04 which does not provide this package (hence a backport would be required), plus also that I'm not entirely sure that these two packages are really the same.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links